/**
 * apeman app to handle sign.
 * @module apeman-app-sign
 * @version 1.0.2
 */

"use strict";

var create = require('./create'),
    schemas = require('./schemas'),
    pkg = require('../package.json');

var lib = create.bind(this);
lib.create = create;
lib.schemas = schemas;
lib.version = pkg.version;

module.exports = lib;
