/**
 * @function doSigndel
 */
"use strict";

var apemanpromise = require('apemanpromise');

/** @lends doSigndel */
function doSigndel(User, Sign, signed) {
    return User.findById(signed.user.id)
        .then(function (user) {
            return Sign.findAll({
                where: {user_id: user.id}
            }).then(function (signs) {
                return apemanpromise.all(
                    signs.map(function (sign) {
                        return sign.destroy();
                    })
                ).then(function () {
                        return user.destroy();
                    });
            });
        });
}

module.exports = doSigndel;
